<ion-header>
  <ion-toolbar>
    <ion-title *ngIf="typePrestation">Modification {{typePrestation.name}}</ion-title>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/typePrestations"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form (submit)="modifier()" [formGroup]="formGroup" *ngIf="typePrestation" method="POST">
    <ion-list>
      <ion-item>
        <ion-label position="stacked">NAME</ion-label>
        <ion-input formControlName="name" type="text"></ion-input>
        <ion-label color="danger" *ngIf="formGroup.controls.name.hasError('minlength')">Doit contenir au moins 2 caractères</ion-label>
      </ion-item>
      <ion-item>
        <ion-label position="stacked">LOGO</ion-label>
        <ion-input formControlName="logo"  type="text"></ion-input>
        <ion-label color="danger" *ngIf="logoControl.hasError('required')">Champ obligatoire</ion-label>

      </ion-item>
      
    </ion-list>
    <ion-button type="submit" expand="full" [disabled]="formGroup.invalid">Enregistrer</ion-button>
  </form>
</ion-content>
